Skip to content

Complete upload

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/attachments/{resource_id}/

Mark an attachment as uploaded after successful file transfer to storage.

Path Parameters

work_item_id:requiredstring

The unique identifier of the work item.

resource_id:requiredstring

The unique identifier of the resource.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Body Parameters

is_uploaded:optionalboolean

Mark attachment as uploaded

Scopes

projects.work_items.attachments:write

Complete upload
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/attachments/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "is_uploaded": true
}'
Response204

No response body.